Subject: sed problem with procmail
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Mon, 25 Mar 2002 08:31:23 -0800
Newsgroups: gmane.os.cygwin

I have procmail reciepes such as the following:

:0
* !^From:.*@<domain1>.com
* !^From:.*@<domain2>.com
{
# Fall through
}

:0 E
| formail -rf -I "X-Mailer: AD Spam Canceller" \
   -i "Subject: Your mail is suspected of being SPAM and has been filtered! (24)"
  | \
   cat - "$SPAMREPLY" | sendmail -t

Where <domain1> and <domain2> are domains that I filter out totally. $SPAMREPLY is defined to
point to a file and sendmail is setup to be exim.

Now the filtering works except I see the following in my procmail log:

 From <user>@<domain1>.com  Sun Mar 24 13:21:35 2002
  Subject: NO OTHER Spy/Security CD Like THIS
   Folder:  formail -rf -I "X-Mailer: AD Spam Canceller" \   -i "Subjec     1484
sed: -e expression #1, char 11: No previous regular expression

Hmmm... I didn't call sed at all here! Why's it complaining? Also, sometimes I get the following:

Usage: formail [-vbczfrktqY] [-D nnn idcache] [-p prefix] [-l folder]
         [-xXaAiIuU field] [-R ofield nfield]
    Or: formail [+nnn] [-nnn] [-bczfrktedqBY] [-D nnn idcache] [-p prefix]
         [-n [nnn]] [-m nnn] [-l folder] [-xXaAiIuU field] [-R ofield nfield]
         -s [prg [arg ...]]

But that *is* how I am calling formail. Again, any ideas as to why this is happening?

I know that these are more procmail questions than Cygwin questions except this whole setup was
transfered from my domain which was running FreeBSD and did not exhibit these problems.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/